/**
Theme Name: Astra Child
Author: Brainstorm Force
Author URI: http://wpastra.com/about/
Description: Astra is the fastest, fully customizable & beautiful theme suitable for blogs, personal portfolios and business websites.
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: astra-child
Template: astra
*/

/* Header */
.main-header-bar{transition: all 0.4s ease-in-out;}
.main-header-bar.ast-sticky-fixed{position: fixed;top: -100px;width: 100%;z-index: 9999;opacity: 0; }
.main-header-bar.is-sticky{top: 0 !important;opacity: 1 !important;box-shadow: 0 1px 7px rgb(0 0 0 / 10%);}

/* Category Toggle Button */
.header-cat-container{position: relative;}
.main-header-bar.is-sticky .header-cat-container{display: inline-block;}
.ast-builder-grid-row-mobile-layout-default .header-cat-container{display: block;}

#cat-toggle-btn {background: var(--ast-global-color-0);color: #ffffff;padding: 10px 20px;border-radius: 100px;cursor: pointer;font-weight: 600;font-size: 16px;border: 1px solid #eeeeee;box-shadow: 1px 0 5px 0px rgb(0 0 0 / 2%);}
#header-cat-wrapper{position: absolute;top: 100%;left: 0;min-width: 290px;background: #ffffff;box-shadow: 0 10px 30px rgba(0,0,0,0.15);padding: 15px;z-index: 9999;opacity: 0;visibility: hidden;transform: translateY(10px);transition: all 0.3s ease;border-radius: 8px;border: 1px solid #eaeaea;}
#header-cat-wrapper.cat-dropdown-visible {opacity: 1;visibility: visible;transform: translateY(0);}
.header-cat-container .wc-block-product-categories-list {display: grid;
/*grid-template-columns: repeat(3, 1fr);*/
gap: 10px;margin: 0;padding: 0;list-style: none;min-height: 150px;overflow-y:auto;scrollbar-width: thin;scrollbar-color: #03030338 #00000005;max-height: 450px;padding-right: 5px;}
.header-cat-container .wc-block-product-categories-list li{padding: 0px;border: 1px solid #ffffff;border-radius: 8px;overflow: hidden;}
.header-cat-container .wc-block-product-categories-list-item a {display: flex;align-items: center;gap: 10px;text-decoration: none;color: #333;line-height: 1.2;font-size: 15px;}
.header-cat-container .wc-block-product-categories-list-item a:hover > .cat-name{color:var(--ast-global-color-0) !important;}
.header-cat-container .wc-block-product-categories-list-item img{width: 40px;border-radius: 4px;object-fit: cover;}

/* Footer */
.footer-widget-area a .attachment-full{max-width: 200px !important;}

/* Sidebar Layout */
.ast-left-sidebar #secondary{margin:0;padding: 10px;padding-top: 15px;border-right:none!important;}
.ast-right-sidebar #primary{margin:0;padding-top: 30px;border-right:none!important;}
.ast-left-sidebar #primary{margin:0;padding-top: 15px;padding-left: 30px;border-left:none!important;}
.ast-right-sidebar #secondary{padding:0;border-left: none;}

/* Category Header */
aside.header-widget-area.widget-area{padding: 0;}
.wc-block-product-categories.header-main-categories{margin: 0;width: 100%;display: block;}
.header-main-categories .wc-block-product-categories-list{width: 100%;max-width:1200px;display: flex;gap: 10px;overflow-x:auto;scrollbar-width: thin;scrollbar-color: #03030338 #00000005;margin: 0;}
.header-main-categories li.wc-block-product-categories-list-item{margin: 0 !important;padding: 0;text-align: center;}
.header-main-categories li.wc-block-product-categories-list-item .wc-block-product-categories-list{display: none !important;}
.header-main-categories li.wc-block-product-categories-list-item span.wc-block-product-categories-list-item__image{margin: auto;display: block;border: none;width:40px;height:40px;max-width:100%;     margin-top: 12px; }
.header-main-categories li.wc-block-product-categories-list-item span.wc-block-product-categories-list-item__image img{width: 100%;height:100%; border: none;object-fit: cover;}
.header-main-categories .wc-block-product-categories-list-item a {display: block;background: #ffffff;border: 1px solid #eaeaea;padding: 6px 5px;width: 124px;min-height: 118px;margin: 10px 0;border-radius: 8px;box-shadow: 1px 0 5px 0px rgb(0 0 0 / 5%);}
.header-main-categories .wc-block-product-categories-list-item a:hover{border-color: var(--ast-global-color-0) !important;}
.header-main-categories li.wc-block-product-categories-list-item  span.wc-block-product-categories-list-item__name{margin-top: 10px;display: block;font-size: 14px;font-weight: 400;line-height: 1.1;font-family: 'Quicksand';}
.header-category-grid{margin-bottom: 18px;}

/* > Subcategory UI */
.ui-typ-align .wc-block-product-categories-list-item a{padding:6px 10px 6px 6px;}
.ui-typ-align .wc-block-product-categories-list-item a{width: initial;min-height: initial;display: flex;gap: 10px;align-items: center;}
.ui-typ-align li.wc-block-product-categories-list-item span.wc-block-product-categories-list-item__image{margin: 0;width: 45px;height: 45px;}
.ui-typ-align li.wc-block-product-categories-list-item span.wc-block-product-categories-list-item__name{margin-top:0;font-size: 16px;white-space: nowrap;}

/* Product Shop & Products */
p.woocommerce-result-count, .woocommerce-ordering{display:none;}
.products li.product-type-simple{border: 1px solid #eaeaea;padding: 10px!important;border-radius: 8px;box-shadow: 1px 0 5px 0px rgb(0 0 0 / 5%);}
.products .astra-shop-summary-wrap{height: 100%;display: flex;flex-direction: column;}
.products span.price{margin-bottom:10px !important;}
.products a.button.add_to_cart_button{margin: auto !important;}
.products img.attachment-woocommerce_thumbnail{border-radius: 5px;}
.woocommerce-pagination li{border-radius: 5px;}
.ast-archive-description{margin-bottom: 22px;}
.woocommerce-products-header h3.category-title{margin-bottom: 20px;}
.woocommerce-ordering select.orderby {border: 1px solid #ddd !important;border-radius: 5px !important;}
.wp-block-search__input,.search-field{border-radius:5px !important;}

/* Product Filters */
.wc-block-product-filters__overlay-content .wp-block-heading{font-size: 18px !important;display:none;}
.wc-block-product-filters__overlay-content > div .wp-block-heading{font-size: 18px !important;display:block;}
.wc-block-product-filters__overlay-content > div{background: #ffffff;padding: 15px;border: 1px solid #eeeeee;border-radius: 8px;box-shadow: 1px 0 5px 0px rgb(0 0 0 / 5%);}
.wc-block-product-filter-removable-chips__items li.wc-block-product-filter-removable-chips__item{border-radius: 100px !important;padding: 2px 10px !important;font-size: 13px !important;}

/* Product Filters Sub Category */
.wc-block-product-filters__overlay .wp-block-woocommerce-product-categories{margin-bottom:0!important;}
.wc-block-product-filters__overlay .wp-block-woocommerce-product-categories ul .wc-block-product-categories-list-item{padding: 0 0 10px 0px;margin: 0 0 8px !important;}
.wc-block-product-filters__overlay .wp-block-woocommerce-product-categories ul .wc-block-product-categories-list-item .wc-block-product-categories-list-item__image{margin: 0 .5em 0 0 !important;}
.wc-block-product-filters__overlay .wp-block-woocommerce-product-categories ul .wc-block-product-categories-list-item a{font-size: 15px !important;display: flex;align-items: center;}
.wc-block-product-filters__overlay .wp-block-woocommerce-product-categories ul .wc-block-product-categories-list-item a:hover{color: var(--ast-global-color-0) !important;}
.wc-block-product-filters__overlay .wc-block-product-categories-list--has-images .wc-block-product-categories-list-item__image{border:none;border-radius: 4px;overflow: hidden;max-width: 40px;}
.wc-block-product-filters__overlay .wp-block-woocommerce-product-categories ul .wc-block-product-categories-list-item a span.wc-block-product-categories-list-item__name{line-height: 1.3;}

@media (max-width: 992px) {
	.ast-left-sidebar #primary{padding: 5px;}
	.ast-left-sidebar #content > .ast-container{flex-direction: column;}
	.ast-left-sidebar #secondary{padding:15px 0px 20px;}
	.wc-block-product-filters__open-overlay{border-radius:5px;}
	.ast-mobile-popup-drawer.active .menu-toggle-close {border-radius:2px;outline: none;border: none;}
}
